| PDL for FM0+ Version1.0 Peripheral Driverl Library for FM0+

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
stc_odd_compare_config Struct Reference
Output Compare Unit (OCU)

The compare configuration of odd OCU channel. More...

`#include <mft_ocu.h>`

## Data Fields
en_rt_odd_status_t | enFrtZeroOddMatchEvenMatchOddChRtStatus
| Odd channel's RT output status when even channel and odd channel match occurs at the condition of FRT count=0x0000.
en_rt_odd_status_t | enFrtZeroOddMatchEvenNotMatchOddChRtStatus
| Odd channel's RT output status when even channel not match and odd channel match occurs at the condition of FRT count=0x0000.
en_rt_odd_status_t | enFrtZeroOddNotMatchEvenMatchOddChRtStatus
| Odd channel's RT output status when even channel match and odd channel not match occurs at the condition of FRT count=0x0000.
en_rt_odd_status_t | enFrtZeroOddNotMatchEvenNotMatchOddChRtStatus
| Odd channel's RT output status when even channel not match and odd channel not match occurs at the condition of FRT count=0x0000.
en_rt_odd_status_t | enFrtUpCntOddMatchEvenMatchOddChRtStatus
| Odd channel's RT output status when even channel and odd channel match occurs at the condition of FRT is counting up.
en_rt_odd_status_t | enFrtUpCntOddMatchEvenNotMatchOddChRtStatus
| Odd channel's RT output status when even channel not match and odd channel match occurs at the condition of FRT is counting up.
en_rt_odd_status_t | enFrtUpCntOddNotMatchEvenMatchOddChRtStatus
| Odd channel's RT output status when even channel match and odd channel not match occurs at the condition of FRT is counting up.
en_rt_odd_status_t | enFrtPeakOddMatchEvenMatchOddChRtStatus
| Odd channel's RT output status when even channel and odd channel match occurs at the condition of FRT count=Peak.
en_rt_odd_status_t | enFrtPeakOddMatchEvenNotMatchOddChRtStatus
| Odd channel's RT output status when even channel not match and odd channel match occurs at the condition of FRT count=Peak.
en_rt_odd_status_t | enFrtPeakOddNotMatchEvenMatchOddChRtStatus
| Odd channel's RT output status when even channel match and odd channel not match occurs at the condition of FRT count=Peak.
en_rt_odd_status_t | enFrtPeakOddNotMatchEvenNotMatchOddChRtStatus
| Odd channel's RT output status when even channel not match and odd channel not match occurs at the condition of FRT count=Peak.
en_rt_odd_status_t | enFrtDownOddMatchEvenMatchOddChRtStatus
| Odd channel's RT output status when even channel and odd channel match occurs at the condition of FRT is counting down.
en_rt_odd_status_t | enFrtDownOddMatchEvenNotMatchOddChRtStatus
| Odd channel's RT output status when even channel not match and odd channel match occurs at the condition of FRT is counting down.
en_rt_odd_status_t | enFrtDownOddNotMatchEvenMatchOddChRtStatus
| Odd channel's RT output status when even channel match and odd channel not match occurs at the condition of FRT is coutning down.
en_iop_flag_odd_t | enIopFlagWhenFrtZeroOddMatch
| Odd channel OCU's IOP flag status when Odd channel match occurs at the condition of FRT count=0x0000.
en_iop_flag_odd_t | enIopFlagWhenFrtUpCntOddMatch
| Odd channel OCU's IOP flag status when Odd channel match occurs at the condition of FRT is counting up.
en_iop_flag_odd_t | enIopFlagWhenFrtPeakOddMatch
| Odd channel OCU's IOP flag status when Odd channel match occurs at the condition of FRT count=Peak.
en_iop_flag_odd_t | enIopFlagWhenFrtDownCntOddMatch
| Odd channel OCU's IOP flag status when Odd channel match occurs at the condition of FRT is counting down.

## Detailed Description

The compare configuration of odd OCU channel.

Definition at line 273 of file mft_ocu.h.

## Field Documentation

en_rt_odd_status_t enFrtDownOddMatchEvenMatchOddChRtStatus

Odd channel's RT output status when even channel and odd channel match occurs at the condition of FRT is counting down.

Definition at line 289 of file mft_ocu.h.

Referenced by Mft_Ocu_SetOddChCompareMode().

en_rt_odd_status_t enFrtDownOddMatchEvenNotMatchOddChRtStatus

Odd channel's RT output status when even channel not match and odd channel match occurs at the condition of FRT is counting down.

Definition at line 290 of file mft_ocu.h.

Referenced by Mft_Ocu_SetOddChCompareMode().

en_rt_odd_status_t enFrtDownOddNotMatchEvenMatchOddChRtStatus

Odd channel's RT output status when even channel match and odd channel not match occurs at the condition of FRT is coutning down.

Definition at line 291 of file mft_ocu.h.

Referenced by Mft_Ocu_SetOddChCompareMode().

en_rt_odd_status_t enFrtPeakOddMatchEvenMatchOddChRtStatus

Odd channel's RT output status when even channel and odd channel match occurs at the condition of FRT count=Peak.

Definition at line 284 of file mft_ocu.h.

Referenced by Mft_Ocu_SetOddChCompareMode().

en_rt_odd_status_t enFrtPeakOddMatchEvenNotMatchOddChRtStatus

Odd channel's RT output status when even channel not match and odd channel match occurs at the condition of FRT count=Peak.

Definition at line 285 of file mft_ocu.h.

Referenced by Mft_Ocu_SetOddChCompareMode().

en_rt_odd_status_t enFrtPeakOddNotMatchEvenMatchOddChRtStatus

Odd channel's RT output status when even channel match and odd channel not match occurs at the condition of FRT count=Peak.

Definition at line 286 of file mft_ocu.h.

Referenced by Mft_Ocu_SetOddChCompareMode().

en_rt_odd_status_t enFrtPeakOddNotMatchEvenNotMatchOddChRtStatus

Odd channel's RT output status when even channel not match and odd channel not match occurs at the condition of FRT count=Peak.

Definition at line 287 of file mft_ocu.h.

Referenced by Mft_Ocu_SetOddChCompareMode().

en_rt_odd_status_t enFrtUpCntOddMatchEvenMatchOddChRtStatus

Odd channel's RT output status when even channel and odd channel match occurs at the condition of FRT is counting up.

Definition at line 280 of file mft_ocu.h.

Referenced by Mft_Ocu_SetOddChCompareMode().

en_rt_odd_status_t enFrtUpCntOddMatchEvenNotMatchOddChRtStatus

Odd channel's RT output status when even channel not match and odd channel match occurs at the condition of FRT is counting up.

Definition at line 281 of file mft_ocu.h.

Referenced by Mft_Ocu_SetOddChCompareMode().

en_rt_odd_status_t enFrtUpCntOddNotMatchEvenMatchOddChRtStatus

Odd channel's RT output status when even channel match and odd channel not match occurs at the condition of FRT is counting up.

Definition at line 282 of file mft_ocu.h.

Referenced by Mft_Ocu_SetOddChCompareMode().

en_rt_odd_status_t enFrtZeroOddMatchEvenMatchOddChRtStatus

Odd channel's RT output status when even channel and odd channel match occurs at the condition of FRT count=0x0000.

Definition at line 275 of file mft_ocu.h.

Referenced by Mft_Ocu_SetOddChCompareMode().

en_rt_odd_status_t enFrtZeroOddMatchEvenNotMatchOddChRtStatus

Odd channel's RT output status when even channel not match and odd channel match occurs at the condition of FRT count=0x0000.

Definition at line 276 of file mft_ocu.h.

Referenced by Mft_Ocu_SetOddChCompareMode().

en_rt_odd_status_t enFrtZeroOddNotMatchEvenMatchOddChRtStatus

Odd channel's RT output status when even channel match and odd channel not match occurs at the condition of FRT count=0x0000.

Definition at line 277 of file mft_ocu.h.

Referenced by Mft_Ocu_SetOddChCompareMode().

en_rt_odd_status_t enFrtZeroOddNotMatchEvenNotMatchOddChRtStatus

Odd channel's RT output status when even channel not match and odd channel not match occurs at the condition of FRT count=0x0000.

Definition at line 278 of file mft_ocu.h.

Referenced by Mft_Ocu_SetOddChCompareMode().

en_iop_flag_odd_t enIopFlagWhenFrtDownCntOddMatch

Odd channel OCU's IOP flag status when Odd channel match occurs at the condition of FRT is counting down.

Definition at line 296 of file mft_ocu.h.

Referenced by Mft_Ocu_SetOddChCompareMode().

en_iop_flag_odd_t enIopFlagWhenFrtPeakOddMatch

Odd channel OCU's IOP flag status when Odd channel match occurs at the condition of FRT count=Peak.

Definition at line 295 of file mft_ocu.h.

Referenced by Mft_Ocu_SetOddChCompareMode().

en_iop_flag_odd_t enIopFlagWhenFrtUpCntOddMatch

Odd channel OCU's IOP flag status when Odd channel match occurs at the condition of FRT is counting up.

Definition at line 294 of file mft_ocu.h.

Referenced by Mft_Ocu_SetOddChCompareMode().

en_iop_flag_odd_t enIopFlagWhenFrtZeroOddMatch

Odd channel OCU's IOP flag status when Odd channel match occurs at the condition of FRT count=0x0000.

Definition at line 293 of file mft_ocu.h.

Referenced by Mft_Ocu_SetOddChCompareMode().

The documentation for this struct was generated from the following file:

- C:/pdl_v10/library/driver/mft/mft_ocu.h